// 
// Copyright (c) 2002-2009 Nokia Corporation and/or its subsidiary(-ies).
// All rights reserved.
// This component and the accompanying materials are made available
// under the terms of the License "Eclipse Public License v1.0"
// which accompanies this distribution, and is available
// at the URL "http://www.eclipse.org/legal/epl-v10.html".
// 
// Initial Contributors:
// Nokia Corporation - initial contribution.
// 
// Contributors:
// 
// Description:
// 

#ifndef __ContactStandard_MAINVIEW_H__
#define __ContactStandard_MAINVIEW_H__

// INCLUDE FILES
#include <aknview.h>
#include <akndef.h>

class CEikEdwin;

// CLASS DECLARATION

class CContactStandardMainView : public CCoeControl
	{
public:

	static CContactStandardMainView* NewL( const TRect& aRect );
	static CContactStandardMainView* NewLC( const TRect& aRect );
	~CContactStandardMainView();
	
public:

	void SetTextL(const TDesC& aText);
	
private:

	void ConstructL( const TRect& aRect );

private: // From CoeControl

	TInt CountComponentControls() const;
	CCoeControl* ComponentControl(TInt aIndex) const;

	void Draw(const TRect& aRect) const;
	void SizeChanged();
	
private:

	CEikEdwin* iEikEdwin;

	};

#endif // __ContactStandard_MAINVIEW_H__

// End of File
